<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | cron_optimize                                                             |
// |                                                                           |
// | Optimize the tables of a Geeklog database. To be called from a cronjob.   |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2004 by the following authors:                              |
// |                                                                           |
// | Authors: Dirk Haun - dirk@haun-online.de                                  |
// | 		  Richard Rodriguez - rjrufo@mac.com (modified to only allow the   |
// |		  server calling this script to optimize your database)  		   |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id: cron_optimize.php,v 1.2.1 2005/04/18 09:18:21 rjrufo Exp $

// IMPORTANT: 1) Change the path below to point to your lib-common.php
//            2) Make sure the script is readable and not writable or executable.
//            3) Change the IP ($ip) address to your server. For security, only
//				 your server can access this page.
//			  4) Set up a cronjob to access this script via TCP/IP - 
//				 see README for details.

global $REMOTE_ADDR;

$ip = '127.0.0.1';

if ($REMOTE_ADDR==$ip) {

require_once ('/path/to/geeklog/public_html/lib-common.php');


// MAIN

$tables = '`' . implode ("`,`", $_TABLES) . "`";
DB_query ("OPTIMIZE TABLE $tables");

$lastrun = DB_getItem ($_TABLES['vars'], 'value', "name = 'lastoptimizeddb'");
if (empty ($lastrun)) {
    DB_save ($_TABLES['vars'], 'name,value', "'lastoptimizeddb', NOW()");
} else {
    DB_query ("UPDATE {$_TABLES['vars']} SET value = NOW() WHERE name = 'lastoptimizeddb'");
}
}
?>